# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-12-02 05:05
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_name', models.CharField(max_length=32)),
                ('project_description', models.CharField(max_length=256)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date created')),
                ('commandline', models.CharField(default='', max_length=256)),
                ('public', models.BooleanField(default=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('can_run', '[DjangoSourceControl]: Can run projects'), ('can_add', '[DjangoSourceControl]: Can add projects')),
            },
        ),
        migrations.CreateModel(
            name='ProjectFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('projectfile_name', models.CharField(max_length=32)),
                ('projectfile_description', models.CharField(max_length=256)),
                ('startup', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date created')),
                ('public', models.BooleanField(default=True)),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projectfiles', to='djangosourcecontrol.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectFileVersion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date created')),
                ('text', models.TextField()),
                ('projectfile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='projectfileversions', to='djangosourcecontrol.ProjectFile')),
            ],
        ),
    ]
